GET api/particlecounterapi/particlecountersBySiteId/{id}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"anatype_id": "2a30562b-4ad6-40be-9a08-0db13a8ad23d",
"cleanroom_id": "fb583d1d-ed4b-4f4f-99b1-0269980925d0",
"description": "sample string 3",
"id": "1781a21a-e2eb-4fac-b8da-5d2e3d040f60",
"ip_address": "sample string 5",
"particle_counter_type_id": "4d7e1f2a-ef82-4678-9864-9b400e9a6dd4",
"site_id": "11a49b4e-62c2-4067-9e66-e02d0761816d"
},
{
"active": true,
"anatype_id": "2a30562b-4ad6-40be-9a08-0db13a8ad23d",
"cleanroom_id": "fb583d1d-ed4b-4f4f-99b1-0269980925d0",
"description": "sample string 3",
"id": "1781a21a-e2eb-4fac-b8da-5d2e3d040f60",
"ip_address": "sample string 5",
"particle_counter_type_id": "4d7e1f2a-ef82-4678-9864-9b400e9a6dd4",
"site_id": "11a49b4e-62c2-4067-9e66-e02d0761816d"
}
]
application/xml, text/xml
Sample:
<ArrayOfparticle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<particle_counter>
<active>true</active>
<anatype_id>2a30562b-4ad6-40be-9a08-0db13a8ad23d</anatype_id>
<cleanroom_id>fb583d1d-ed4b-4f4f-99b1-0269980925d0</cleanroom_id>
<description>sample string 3</description>
<id>1781a21a-e2eb-4fac-b8da-5d2e3d040f60</id>
<ip_address>sample string 5</ip_address>
<particle_counter_type_id>4d7e1f2a-ef82-4678-9864-9b400e9a6dd4</particle_counter_type_id>
<site_id>11a49b4e-62c2-4067-9e66-e02d0761816d</site_id>
</particle_counter>
<particle_counter>
<active>true</active>
<anatype_id>2a30562b-4ad6-40be-9a08-0db13a8ad23d</anatype_id>
<cleanroom_id>fb583d1d-ed4b-4f4f-99b1-0269980925d0</cleanroom_id>
<description>sample string 3</description>
<id>1781a21a-e2eb-4fac-b8da-5d2e3d040f60</id>
<ip_address>sample string 5</ip_address>
<particle_counter_type_id>4d7e1f2a-ef82-4678-9864-9b400e9a6dd4</particle_counter_type_id>
<site_id>11a49b4e-62c2-4067-9e66-e02d0761816d</site_id>
</particle_counter>
</ArrayOfparticle_counter>